""" Welcome to the ICARO GW module. This module which provides function and utilities
for cosmology with gravitational waves. ICAROGW contains the following subpackages

* *cosmology function*: provides several utilities to compute GWs related quantities in cosmology
* *detector*: provides utilities to work with GW detectors
* *population*: provide utilities to generate BNS and BBH
* *statistic*: provide functions with likelihoods, priors and selection functions
* *testingGRcosmo*: Provides the *testingGRcosmo* class, which is the class used to infer EFT from GWS
* *utils*: Provides some plotting utils
"""
from icarogw import cosmology_functions, detector, population, statistic
from icarogw import analysis, utils
